import request from '@/utils/axios.ts';
// --------- 用户管理 -----------
// 用户 - 列表
export function userList(data) {
    return request({
        url: '/member/userList',
        method: 'POST',
        data,
    });
}
// 用户 - 新增
export function userAdd(data) {
    return request({
        url: '/member/addUser',
        method: 'POST',
        data,
    });
}
// 用户 - 编辑
export function userEdit(data) {
    return request({
        url: '/member/updateUser',
        method: 'POST',
        data,
    });
}
// 用户 - 设置状态
export function userStatus(data) {
    return request({
        url: '/member/setUserStatus',
        method: 'POST',
        data,
    });
}

// --------- 司机管理 -----------
// 司机 - 列表
export function driverList(data) {
    return request({
        url: '/member/driverList',
        method: 'POST',
        data,
    });
}
// 司机 - 新增
export function driverAdd(data) {
    return request({
        url: '/member/addDriver',
        method: 'POST',
        data,
    });
}
// 司机 - 编辑
export function driverEdit(data) {
    return request({
        url: '/member/updateDriver',
        method: 'POST',
        data,
    });
}

// 司机 - 根据ID获取详情
export function driverDetail(id) {
    return request({
        url: `/member/driverDetail/${id}`,
        method: 'GET',
    });
}

// 司机 - 删除
export function driverDel(id) {
    return request({
        url: '/member/deleteDriver',
        method: 'POST',
        data: { id },
    });
}

// --------- 会员管理 -----------
// 根据类型获取会员列表（用于装车订单下拉框）
export function memberListByType(data) {
    return request({
        url: '/member/memberListByType',
        method: 'POST',
        data,
    });
}

// --------- 车辆管理 -----------
// 车辆 - 列表
export function vehicleList(data) {
    return request({
        url: '/vehicle/list',
        method: 'POST',
        data,
    });
}

// 车辆 - 新增
export function vehicleAdd(data) {
    return request({
        url: '/vehicle/add',
        method: 'POST',
        data,
    });
}

// 车辆 - 编辑
export function vehicleEdit(data) {
    return request({
        url: '/vehicle/edit',
        method: 'POST',
        data,
    });
}

// 车辆 - 删除
export function vehicleDel(id) {
    return request({
        url: `/vehicle/delete?id=${id}`,
        method: 'GET',
    });
}